import org.ejml.simple.SimpleMatrix;

public class LossFunctions {
    public static double MSE(SimpleMatrix y_true, SimpleMatrix y_pred) {
        SimpleMatrix temp = y_true.minus(y_pred);
        temp = temp.elementMult(temp);
        double sum = 0;
        for (int i = 0; i < temp.getNumElements(); i++) {
            sum += temp.get(i);
        }
        return sum / temp.getNumElements();
    }

    public static SimpleMatrix MSEPrime(SimpleMatrix y_true, SimpleMatrix y_pred) {
        return y_true.minus(y_pred).divide((double) y_true.getNumElements()/2);
    }
}
